<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Rendezvous extends Model
{
    use HasFactory;

    protected $fillable = [
        'ref',
        'motif',
        'user_id',
        'type_rendezvous_id',
        'status_rendezvous_id'
    ];

    public function typerendezvous()
    {
        return $this->belongsTo(TypeRendezvous::class,'type_rendezvous_id');
    }

    public function statusrendezvous()
    {
        return $this->belongsTo(StatusRendezvous::class,'status_rendezvous_id');
    }

}
